com.sap.security.um.user

## Enum UserProvider.SearchOperator

- java.lang.Object
- - java.lang.Enum<UserProvider.SearchOperator>
  - - com.sap.security.um.user.UserProvider.SearchOperator

- All Implemented Interfaces:
    Serializable, Comparable<UserProvider.SearchOperator>
  Enclosing interface:
    UserProvider

      public static enum UserProvider.SearchOperator
      extends Enum<UserProvider.SearchOperator>

  Searching for exact match of the search criteria.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUALS` Search operator for exact match of the search criteria.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserProvider.SearchOperator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserProvider.SearchOperator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUALS

          public static final UserProvider.SearchOperator EQUALS

      Search operator for exact match of the search criteria. Wild cards are treated as regular characters.

  - ### Method Detail

    - #### values

          public static UserProvider.SearchOperator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserProvider.SearchOperator c : UserProvider.SearchOperator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserProvider.SearchOperator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 SAP. All Rights Reserved.